@file:Suppress("UNCHECKED_CAST", "USELESS_CAST", "INAPPLICABLE_JVM_NAME", "UNUSED_ANONYMOUS_PARAMETER", "SENSELESS_COMPARISON", "NAME_SHADOWING", "UNNECESSARY_NOT_NULL_ASSERTION")
package uni.UNIHelloUniAppX
import io.dcloud.uniapp.*
import io.dcloud.uniapp.extapi.*
import io.dcloud.uniapp.framework.*
import io.dcloud.uniapp.runtime.*
import io.dcloud.uniapp.vue.*
import io.dcloud.uniapp.vue.shared.*
import io.dcloud.unicloud.*
import io.dcloud.uts.*
import io.dcloud.uts.Map
import io.dcloud.uts.Set
import io.dcloud.uts.UTSAndroid
import kotlin.properties.Delegates
open class GenUniModulesUniBadgeViewComponentsUniBadgeViewUniBadgeView : VueComponent {
    constructor(__ins: ComponentInternalInstance) : super(__ins) {}
    open var text: String by `$props`
    open var badgeStyle: String by `$props`
    open var badgeClass: Any? by `$props`
    open var alwaysWrapWithContent: Boolean by `$props`
    companion object {
        @Suppress("UNUSED_PARAMETER", "UNUSED_VARIABLE")
        var setup: (__props: GenUniModulesUniBadgeViewComponentsUniBadgeViewUniBadgeView) -> Any? = fun(__props): Any? {
            val __ins = getCurrentInstance()!!
            val _ctx = __ins.proxy as GenUniModulesUniBadgeViewComponentsUniBadgeViewUniBadgeView
            val _cache = __ins.renderCache
            val slots = useSlots()
            val hasDefaultSlot = computed(fun(): Boolean {
                return slots["default"] != null
            }
            )
            return fun(): Any? {
                return if (isTrue(_ctx.text == "0" && _ctx.alwaysWrapWithContent == false)) {
                    renderSlot(_ctx.`$slots`, "default", _uM("key" to 0))
                } else {
                    _cE(Fragment, _uM("key" to 1), _uA(
                        if (isTrue(unref(hasDefaultSlot))) {
                            _cE("view", mergeProps(_uM("key" to 0, "style" to _uM("overflow" to "visible"), "class" to "badge-wrap"), _ctx.`$attrs`), _uA(
                                renderSlot(_ctx.`$slots`, "default"),
                                if (isTrue(_ctx.text != "" && _ctx.text != "0")) {
                                    _cE("text", _uM("key" to 0, "class" to _nC(_uA(
                                        "text",
                                        "postion",
                                        _ctx.badgeClass
                                    )), "style" to _nS(_ctx.badgeStyle)), _tD(_ctx.text), 7)
                                } else {
                                    if (_ctx.text != "0") {
                                        _cE("view", _uM("key" to 1, "class" to _nC(_uA(
                                            "dot",
                                            "postion",
                                            _ctx.badgeClass
                                        )), "style" to _nS(_ctx.badgeStyle)), null, 6)
                                    } else {
                                        _cC("v-if", true)
                                    }
                                }
                            ), 16)
                        } else {
                            if (_ctx.text != "") {
                                _cE("text", _uM("key" to 1, "class" to _nC(_uA(
                                    "text",
                                    _ctx.badgeClass
                                )), "style" to _nS(_ctx.badgeStyle)), _tD(_ctx.text), 7)
                            } else {
                                _cE("view", _uM("key" to 2, "class" to _nC(_uA(
                                    "dot",
                                    _ctx.badgeClass
                                )), "style" to _nS(_ctx.badgeStyle)), null, 6)
                            }
                        }
                    ), 64)
                }
            }
        }
        val styles: Map<String, Map<String, Map<String, Any>>> by lazy {
            _nCS(_uA(
                styles0
            ))
        }
        val styles0: Map<String, Map<String, Map<String, Any>>>
            get() {
                return _uM("text" to _pS(_uM("backgroundColor" to "rgb(225,80,80)", "minWidth" to 14, "height" to 14, "lineHeight" to "14px", "borderTopLeftRadius" to 7, "borderTopRightRadius" to 7, "borderBottomRightRadius" to 7, "borderBottomLeftRadius" to 7, "fontSize" to 10, "color" to "#FFFFFF", "textAlign" to "center", "whiteSpace" to "nowrap")), "dot" to _pS(_uM("backgroundColor" to "rgb(225,80,80)", "width" to 8, "height" to 8, "borderTopLeftRadius" to 4, "borderTopRightRadius" to 4, "borderBottomRightRadius" to 4, "borderBottomLeftRadius" to 4)), "postion" to _pS(_uM("position" to "absolute", "top" to 0, "right" to 0, "transform" to "translate(50%, -50%)")), "badge-wrap" to _pS(_uM("alignSelf" to "flex-start")))
            }
        var inheritAttrs = false
        var inject: Map<String, Map<String, Any?>> = _uM()
        var emits: Map<String, Any?> = _uM()
        var props = _nP(_uM("text" to _uM("type" to "String", "required" to false, "default" to ""), "badgeStyle" to _uM("type" to "String", "required" to false, "default" to ""), "badgeClass" to _uM("required" to false, "default" to "", "externalClasses" to true, "skipCheck" to true), "alwaysWrapWithContent" to _uM("type" to "Boolean", "required" to false, "default" to false)))
        var propsNeedCastKeys = _uA(
            "text",
            "badgeStyle",
            "badgeClass",
            "alwaysWrapWithContent"
        )
        var components: Map<String, CreateVueComponent> = _uM()
    }
}
